DocTest : Mono.DocTest Namespace

# Widget Class

Documentation for this section has not yet been entered.

## Syntax

public class Widget : IProcess

#### See Also

> Widget.Item(int)

## Remarks

`T:Mono.DocTest.Widget`.

## Requirements

Namespace: Mono.DocTest
Assembly: DocTest (in DocTest.dll)
Assembly Versions: 0.0.0.0

## Members

See Also: Inherited members from object.

## Public Constructors

| Widget () | Documentation for this section has not yet been entered.
| Widget (Converter<string, string>) | Documentation for this section has not yet been entered.
| Widget (string) | Documentation for this section has not yet been entered.

## Public Fields

| array1 | long[]. Documentation for this section has not yet been entered.
| array2 | Widget[,]. Documentation for this section has not yet been entered.
static readonly | classCtorError | string[]. Documentation for this section has not yet been entered.
| DynamicF | Func<Func<string, object, string>, Func<object, Func<System.Object>,System.String>> . Documentation for this section has not yet been entered.
| message | string . Documentation for this section has not yet been entered.
static | op_Division | Widget . Documentation for this section has not yet been entered.
| pCount | int*. Documentation for this section has not yet been entered.
| ppValues | float**. Documentation for this section has not yet been entered.

## Protected Fields

static | defaultColor | Color . Documentation for this section has not yet been entered.
readonly | monthlyAverage | double . Documentation for this section has not yet been entered.
const | PI | double (3.14159). Documentation for this section has not yet been entered.

## Public Properties

[read-only] | DynamicP | Func<Func<string, object, string>, Func<object, Func<System.Object>,System.String>> . Documentation for this section has not yet been entered.
default property | Item (int) | int . Documentation for this section has not yet been entered.
default property | Item (string, int) | int . Documentation for this section has not yet been entered.
| Width | int . Documentation for this section has not yet been entered.

## Protected Properties

[read-only] | Height | long . Documentation for this section has not yet been entered.
[write-only] | X | short . Documentation for this section has not yet been entered.
| Y | double . Documentation for this section has not yet been entered.

## Public Methods

Default (int, int)

> Documentation for this section has not yet been entered.

Default (string, char)

> Documentation for this section has not yet been entered.

Dynamic0 (object, object) : object

> Documentation for this section has not yet been entered.

Dynamic1 (Dictionary<object, string>) : Dictionary<object, string>

> Documentation for this section has not yet been entered.

Dynamic2 (Func<string, object>) : Func<string, object>

> Documentation for this section has not yet been entered.

Dynamic3 (Func<Func<string, object>, Func<object, string>>) : Func<Func<string, object>, Func<object, string>>

> Documentation for this section has not yet been entered.

static

M0 ()

> Documentation for this section has not yet been entered.

M1 (char, out float, ref DocValueType)

> Documentation for this section has not yet been entered.

M2 (short[], int[,], long[][])

> Documentation for this section has not yet been entered.

M7 (Widget.NestedClass.Double.Triple.Quadruple)

> Documentation for this section has not yet been entered.

## Protected Methods

M3 (long[][], Widget[,,][])

> Documentation for this section has not yet been entered.

M4 (char*, Color**)

> Documentation for this section has not yet been entered.

M5 (void*, double*[,][])

> Documentation for this section has not yet been entered.

M6 (int, params object[])

> Documentation for this section has not yet been entered.

## Public Events

| AnEvent | Documentation for this section has not yet been entered.
| DynamicE1 | Documentation for this section has not yet been entered.
| DynamicE2 | Documentation for this section has not yet been entered.

## Protected Events

| AnotherEvent | Documentation for this section has not yet been entered.

## Public Operators

static | Addition (Widget, Widget) | Documentation for this section has not yet been entered.
static | UnaryPlus | Documentation for this section has not yet been entered.
static | Conversion to System.Int32 (Explicit) | Documentation for this section has not yet been entered.
static | Conversion to System.Int64 (Implicit) | Documentation for this section has not yet been entered.

## Extension Methods

static

ToEnumerable<T> (this T) : IEnumerable<T>

> `System.Object` extension method

## Member Details

### Widget Constructor

> Documentation for this section has not yet been entered.

> ## Syntax

> public Widget ()

> ## Remarks

> `C:Mono.DocTest.Widget`.

> `M:Mono.DocTest.Widget.#ctor`.

> Widget(string)

> Widget(Converter<string, string>)

> ## Requirements

> Namespace: Mono.DocTest
> Assembly: DocTest (in DocTest.dll)
> Assembly Versions: 0.0.0.0

### Widget Constructor

> Documentation for this section has not yet been entered.

> ## Syntax

> public Widget (Converter<string, string> c)

> #### Parameters

> > c
> >   A Converter<string, string>.

> ## Remarks

> `C:Mono.DocTest.Widget(System.Converter{System.String,System.String})`.

> ## Requirements

> Namespace: Mono.DocTest
> Assembly: DocTest (in DocTest.dll)
> Assembly Versions: 0.0.0.0

### Widget Constructor

> Documentation for this section has not yet been entered.

> ## Syntax

> public Widget (string s)

> #### Parameters

> > s
> >   A string.

> ## Remarks

> `C:Mono.DocTest.Widget(System.String)`.

> `M:Mono.DocTest.Widget.#ctor(System.String)`.

> ## Requirements

> Namespace: Mono.DocTest
> Assembly: DocTest (in DocTest.dll)
> Assembly Versions: 0.0.0.0

### AnEvent Event

> Documentation for this section has not yet been entered.

> ## Syntax

> [Mono.DocTest.Doc("Del event")]
> [add: Mono.DocTest.Doc("Del add accessor")]
> [remove: Mono.DocTest.Doc("Del remove accessor")]
> public event Widget.Del AnEvent

> ## Remarks

> `E:Mono.DocTest.Widget.AnEvent`.

> ## Requirements

> Namespace: Mono.DocTest
> Assembly: DocTest (in DocTest.dll)
> Assembly Versions: 0.0.0.0

### AnotherEvent Event

> Documentation for this section has not yet been entered.

> ## Syntax

> protected event Widget.Del AnotherEvent

> #### Exceptions

> > Type | Reason
> > --- | ---
> > ArgumentException | Documentation for this section has not yet been entered.
> > ArgumentNullException | Documentation for this section has not yet been entered.
> > ArgumentOutOfRangeException | Documentation for this section has not yet been entered.
> > FormatException | Documentation for this section has not yet been entered.
> > IndexOutOfRangeException | Documentation for this section has not yet been entered.
> > MulticastNotSupportedException | Documentation for this section has not yet been entered.
> > OutOfMemoryException | Documentation for this section has not yet been entered.

> ## Remarks

> `E:Mono.DocTest.Widget.AnotherEvent`.

> ## Requirements

> Namespace: Mono.DocTest
> Assembly: DocTest (in DocTest.dll)
> Assembly Versions: 0.0.0.0

### array1 Field

> Documentation for this section has not yet been entered.

> ## Syntax

> public long[] array1

> ## Remarks

> `F:Mono.DocTest.Widget.array1`.

> ## Requirements

> Namespace: Mono.DocTest
> Assembly: DocTest (in DocTest.dll)
> Assembly Versions: 0.0.0.0

### array2 Field

> Documentation for this section has not yet been entered.

> ## Syntax

> public Widget[,] array2

> ## Remarks

> `F:Mono.DocTest.Widget.array2`.

> ## Requirements

> Namespace: Mono.DocTest
> Assembly: DocTest (in DocTest.dll)
> Assembly Versions: 0.0.0.0

### classCtorError Field

> Documentation for this section has not yet been entered.

> ## Syntax

> public static readonly string[] classCtorError

> ## Remarks

> `F:Mono.DocTest.Widget.classCtorError`.

> ## Requirements

> Namespace: Mono.DocTest
> Assembly: DocTest (in DocTest.dll)
> Assembly Versions: 0.0.0.0

### Default Method

> Documentation for this section has not yet been entered.

> ## Syntax

> public void Default (int a, int b)

> #### Parameters

> > a
> >   Documentation for this section has not yet been entered.
> > b
> >   Documentation for this section has not yet been entered.

> ## Remarks

> `M:Mono.DocTest.Widget.Default(System.Int32,System.Int32)`

> ## Requirements

> Namespace: Mono.DocTest
> Assembly: DocTest (in DocTest.dll)
> Assembly Versions: 0.0.0.0

### Default Method

> Documentation for this section has not yet been entered.

> ## Syntax

> public void Default (string a, char b)

> #### Parameters

> > a
> >   Documentation for this section has not yet been entered.
> > b
> >   Documentation for this section has not yet been entered.

> ## Remarks

> `M:Mono.DocTest.Widget.Default(System.String,System.Char)`

> ## Requirements

> Namespace: Mono.DocTest
> Assembly: DocTest (in DocTest.dll)
> Assembly Versions: 0.0.0.0

### defaultColor Field

> Documentation for this section has not yet been entered.

> ## Syntax

> protected static Color defaultColor

> ## Remarks

> `F:Mono.DocTest.Widget.defaultColor`.

> ## Requirements

> Namespace: Mono.DocTest
> Assembly: DocTest (in DocTest.dll)
> Assembly Versions: 0.0.0.0

### Dynamic0 Method

> Documentation for this section has not yet been entered.

> ## Syntax

> public object Dynamic0 (object a, object b)

> #### Parameters

> > a
> >   Documentation for this section has not yet been entered.
> > b
> >   Documentation for this section has not yet been entered.

> #### Returns

> > Documentation for this section has not yet been entered.

> #### Exceptions

> > Type | Reason
> > --- | ---
> > ArgumentException | Documentation for this section has not yet been entered.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: Mono.DocTest
> Assembly: DocTest (in DocTest.dll)
> Assembly Versions: 0.0.0.0

### Dynamic1 Method

> Documentation for this section has not yet been entered.

> ## Syntax

> public Dictionary<object, string> Dynamic1 (Dictionary<object, string> value)

> #### Parameters

> > value
> >   Documentation for this section has not yet been entered.

> #### Returns

> > Documentation for this section has not yet been entered.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: Mono.DocTest
> Assembly: DocTest (in DocTest.dll)
> Assembly Versions: 0.0.0.0

### Dynamic2 Method

> Documentation for this section has not yet been entered.

> ## Syntax

> public Func<string, object> Dynamic2 (Func<string, object> value)

> #### Parameters

> > value
> >   Documentation for this section has not yet been entered.

> #### Returns

> > Documentation for this section has not yet been entered.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: Mono.DocTest
> Assembly: DocTest (in DocTest.dll)
> Assembly Versions: 0.0.0.0

### Dynamic3 Method

> Documentation for this section has not yet been entered.

> ## Syntax

> public Func<Func<string, object>, Func<object, string>> Dynamic3 (Func<Func<string, object>, Func<object, string>> value)

> #### Parameters

> > value
> >   Documentation for this section has not yet been entered.

> #### Returns

> > Documentation for this section has not yet been entered.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: Mono.DocTest
> Assembly: DocTest (in DocTest.dll)
> Assembly Versions: 0.0.0.0

### DynamicE1 Event

> Documentation for this section has not yet been entered.

> ## Syntax

> [System.Obsolete("why not")]
> public event Func<object> DynamicE1

> #### Exceptions

> > Type | Reason
> > --- | ---
> > ArgumentException | Documentation for this section has not yet been entered.
> > ArgumentNullException | Documentation for this section has not yet been entered.
> > ArgumentOutOfRangeException | Documentation for this section has not yet been entered.
> > FormatException | Documentation for this section has not yet been entered.
> > IndexOutOfRangeException | Documentation for this section has not yet been entered.
> > MulticastNotSupportedException | Documentation for this section has not yet been entered.
> > OutOfMemoryException | Documentation for this section has not yet been entered.

> ## Remarks

> `E:Mono.DocTest.Widget.DynamicE1`

> ## Requirements

> Namespace: Mono.DocTest
> Assembly: DocTest (in DocTest.dll)
> Assembly Versions: 0.0.0.0

### DynamicE2 Event

> Documentation for this section has not yet been entered.

> ## Syntax

> public event Func<object> DynamicE2

> ## Remarks

> `E:Mono.DocTest.Widget.DynamicE2`

> ## Requirements

> Namespace: Mono.DocTest
> Assembly: DocTest (in DocTest.dll)
> Assembly Versions: 0.0.0.0

### DynamicF Field

> Documentation for this section has not yet been entered.

> ## Syntax

> public Func<Func<string, object, string>, Func<object, Func<System.Object>,System.String>> DynamicF

> ## Remarks

> `F:Mono.DocTest.Widget.DynamicF`

> ## Requirements

> Namespace: Mono.DocTest
> Assembly: DocTest (in DocTest.dll)
> Assembly Versions: 0.0.0.0

### DynamicP Property

> Documentation for this section has not yet been entered.

> ## Syntax

> public Func<Func<string, object, string>, Func<object, Func<System.Object>,System.String>> DynamicP { get; }

> #### Value

> > Documentation for this section has not yet been entered.

> ## Remarks

> `P:Mono.DocTest.Widget.DynamicP`

> ## Requirements

> Namespace: Mono.DocTest
> Assembly: DocTest (in DocTest.dll)
> Assembly Versions: 0.0.0.0

### Height Property

> Documentation for this section has not yet been entered.

> ## Syntax

> [Mono.DocTest.Doc("Height property")]
> protected long Height { get; }

> #### Value

> > A long value...

> ## Remarks

> `P:Mono.DocTest.Widget.Height`.

> ## Requirements

> Namespace: Mono.DocTest
> Assembly: DocTest (in DocTest.dll)
> Assembly Versions: 0.0.0.0

### Item Property

> Documentation for this section has not yet been entered.

> ## Syntax

> This is the default property for this class.

> [Mono.DocTest.Doc("Item property")]
> [set: Mono.DocTest.Doc("Item property set accessor")]
> public int this [int i] { get; set; }

> #### Parameters

> > i
> >   TODO

> #### Value

> > A int instance.

> ## Remarks

> `P:Mono.DocTest.Widget.Item(System.Int32)`.

> ## Requirements

> Namespace: Mono.DocTest
> Assembly: DocTest (in DocTest.dll)
> Assembly Versions: 0.0.0.0

### Item Property

> Documentation for this section has not yet been entered.

> ## Syntax

> This is the default property for this class.

> public int this [string s, int i] { get; set; }

> #### Parameters

> > s
> >   Some string.
> > i
> >   I love ints.

> #### Value

> > A int instance.

> ## Remarks

> `P:Mono.DocTest.Widget.Item(System.String,System.Int32)`.

> ## Requirements

> Namespace: Mono.DocTest
> Assembly: DocTest (in DocTest.dll)
> Assembly Versions: 0.0.0.0

### M0 Method

> Documentation for this section has not yet been entered.

> ## Syntax

> public static void M0 ()

> ## Remarks

> `M:Mono.DocTest.Widget.M0`.

> ## Requirements

> Namespace: Mono.DocTest
> Assembly: DocTest (in DocTest.dll)
> Assembly Versions: 0.0.0.0

### M1 Method

> Documentation for this section has not yet been entered.

> ## Syntax

> [Mono.DocTest.Doc("normal DocAttribute", Field=true)]
> [return:Mono.DocTest.Doc("return:DocAttribute", Property=typeof(Mono.DocTest.Widget))]
> public void M1 ([Mono.DocTest.Doc("c", FlagsEnum=System.ConsoleModifiers.Alt | System.ConsoleModifiers.Control)] char c, [Mono.DocTest.Doc("f", NonFlagsEnum=Mono.DocTest.Color.Red)] out float f, [Mono.DocTest.Doc("v")] ref DocValueType v)

> #### Parameters

> > c
> >   A char.
> > f
> >   A float.
> > v
> >   A Mono.DocTest.DocValueType.

> ## Remarks

> `M:Mono.DocTest.Widget.M1(System.Char,System.Signle@,Mono.DocTest.DocValueType@)`.

> ## Requirements

> Namespace: Mono.DocTest
> Assembly: DocTest (in DocTest.dll)
> Assembly Versions: 0.0.0.0

### M2 Method

> Documentation for this section has not yet been entered.

> ## Syntax

> public void M2 (short[] x1, int[,] x2, long[][] x3)

> #### Parameters

> > x1
> >   A short array.
> > x2
> >   A int array.
> > x3
> >   A long array.

> ## Remarks

> `M:Mono.DocTest.Widget.M2(System.Int16[],System.Int32[0:,0:],System.Int64[][])`.

> ## Requirements

> Namespace: Mono.DocTest
> Assembly: DocTest (in DocTest.dll)
> Assembly Versions: 0.0.0.0

### M3 Method

> Documentation for this section has not yet been entered.

> ## Syntax

> protected void M3 (long[][] x3, Widget[,,][] x4)

> #### Parameters

> > x3
> >   Another long array.
> > x4
> >   A Mono.DocTest.Widget array.

> ## Remarks

> `M:Mono.DocTest.Widget.M3(System.Int64[][],Mono.DocTest.Widget[0:,0:,0:][])`.

> ## Requirements

> Namespace: Mono.DocTest
> Assembly: DocTest (in DocTest.dll)
> Assembly Versions: 0.0.0.0

### M4 Method

> Documentation for this section has not yet been entered.

> ## Syntax

> protected void M4 (char* pc, Color** ppf)

> #### Parameters

> > pc
> >   A char pointer.
> > ppf
> >   A Mono.DocTest.Color pointer.

> ## Remarks

> `M:Mono.DocTest.Widget.M4(System.Char*,Mono.DocTest.Color**)`.

> ## Requirements

> Namespace: Mono.DocTest
> Assembly: DocTest (in DocTest.dll)
> Assembly Versions: 0.0.0.0

### M5 Method

> Documentation for this section has not yet been entered.

> ## Syntax

> protected void M5 (void* pv, double*[,][] pd)

> #### Parameters

> > pv
> >   A void pointer.
> > pd
> >   A double array.

> ## Remarks

> `M:Mono.DocTest.Widget.M5(System.Void*,System.Double*[0:,0:][])`.

> ## Requirements

> Namespace: Mono.DocTest
> Assembly: DocTest (in DocTest.dll)
> Assembly Versions: 0.0.0.0

### M6 Method

> Documentation for this section has not yet been entered.

> ## Syntax

> protected void M6 (int i, params object[] args)

> #### Parameters

> > i
> >   Yet another int.
> > args
> >   An object array.

> ## Remarks

> `M:Mono.DocTest.Widget.M6(System.Int32,System.Object[])`.

> ## Requirements

> Namespace: Mono.DocTest
> Assembly: DocTest (in DocTest.dll)
> Assembly Versions: 0.0.0.0

### M7 Method

> Documentation for this section has not yet been entered.

> ## Syntax

> public void M7 (Widget.NestedClass.Double.Triple.Quadruple a)

> #### Parameters

> > a
> >   Documentation for this section has not yet been entered.

> ## Remarks

> `M:Mono.DocTest.Widget.M7(Mono.DocTest.Widget.NestedClass.Double.Triple.Quadruple)`.

> ## Requirements

> Namespace: Mono.DocTest
> Assembly: DocTest (in DocTest.dll)
> Assembly Versions: 0.0.0.0

### message Field

> Documentation for this section has not yet been entered.

> ## Syntax

> public string message

> ## Remarks

> `F:Mono.DocTest.Widget.message`.

> ## Requirements

> Namespace: Mono.DocTest
> Assembly: DocTest (in DocTest.dll)
> Assembly Versions: 0.0.0.0

### monthlyAverage Field

> Documentation for this section has not yet been entered.

> ## Syntax

> protected readonly double monthlyAverage

> ## Remarks

> `F:Mono.DocTest.Widget.monthlyAverage`.

> ## Requirements

> Namespace: Mono.DocTest
> Assembly: DocTest (in DocTest.dll)
> Assembly Versions: 0.0.0.0

### op_Addition Method

> Documentation for this section has not yet been entered.

> ## Syntax

> public static Widget operator+ (Widget x1, Widget x2)

> #### Parameters

> > x1
> >   Yet Another Mono.DocTest.Widget.
> > x2
> >   Yay, Mono.DocTest.Widgets.

> #### Returns

> > A Mono.DocTest.Widget instance (2).

> ## Remarks

> `M:Mono.DocTest.Widget.op_Addition(Mono.DocTest.Widget,Mono.DocTest.Widget)`.

> ## Requirements

> Namespace: Mono.DocTest
> Assembly: DocTest (in DocTest.dll)
> Assembly Versions: 0.0.0.0

### op_Division Field

> Documentation for this section has not yet been entered.

> ## Syntax

> public static Widget operator/

> #### Returns

> > A Mono.DocTest.Widget instance.

> ## Remarks

> `M:Mono.DocTest.Widget.op_Division`.

> ## Requirements

> Namespace: Mono.DocTest
> Assembly: DocTest (in DocTest.dll)
> Assembly Versions: 0.0.0.0

### Conversion Method

> Documentation for this section has not yet been entered.

> ## Syntax

> public static explicit operator int (Widget x)

> #### Parameters

> > x
> >   Mono.DocTest.Widgets are fun!.

> #### Returns

> > A int instance.

> ## Remarks

> `M:Mono.DocTest.Widget.op_Explicit(Mono.DocTest.Widget)~System.Int32`.

> ## Requirements

> Namespace: Mono.DocTest
> Assembly: DocTest (in DocTest.dll)
> Assembly Versions: 0.0.0.0

### Conversion Method

> Documentation for this section has not yet been entered.

> ## Syntax

> public static implicit operator long (Widget x)

> #### Parameters

> > x
> >   `foo`; Mono.DocTest.Widget.

> #### Returns

> > A long instance.

> ## Remarks

> `M:Mono.DocTest.Widget.op_Implicit(Mono.DocTest.Widget)~System.Int64`.

> ## Requirements

> Namespace: Mono.DocTest
> Assembly: DocTest (in DocTest.dll)
> Assembly Versions: 0.0.0.0

### op_UnaryPlus Method

> Documentation for this section has not yet been entered.

> ## Syntax

> public static Widget operator+ (Widget x)

> #### Parameters

> > x
> >   Another Mono.DocTest.Widget.

> #### Returns

> > A Mono.DocTest.Widget instance.

> ## Remarks

> `M:Mono.DocTest.Widget.op_UnaryPlus(Mono.DocTest.Widget)`.

> ## Requirements

> Namespace: Mono.DocTest
> Assembly: DocTest (in DocTest.dll)
> Assembly Versions: 0.0.0.0

### pCount Field

> Documentation for this section has not yet been entered.

> ## Syntax

> public int* pCount

> ## Remarks

> `F:Mono.DocTest.Widget.pCount`.

> ## Requirements

> Namespace: Mono.DocTest
> Assembly: DocTest (in DocTest.dll)
> Assembly Versions: 0.0.0.0

### PI Field

> Documentation for this section has not yet been entered.

> Value: 3.14159

> ## Syntax

> protected const double PI

> ## Remarks

> `F:Mono.DocTest.Widget.PI`.

> ## Requirements

> Namespace: Mono.DocTest
> Assembly: DocTest (in DocTest.dll)
> Assembly Versions: 0.0.0.0

### ppValues Field

> Documentation for this section has not yet been entered.

> ## Syntax

> public float** ppValues

> ## Remarks

> `F:Mono.DocTest.Widget.ppValues`.

> ## Requirements

> Namespace: Mono.DocTest
> Assembly: DocTest (in DocTest.dll)
> Assembly Versions: 0.0.0.0

### Width Property

> Documentation for this section has not yet been entered.

> ## Syntax

> [Mono.DocTest.Doc("Width property")]
> [get: Mono.DocTest.Doc("Width get accessor")]
> [set: Mono.DocTest.Doc("Width set accessor")]
> public int Width { get; protected set; }

> #### Value

> > A int value...

> ## Remarks

> `P:Mono.DocTest.Widget.Width`.

> ## Requirements

> Namespace: Mono.DocTest
> Assembly: DocTest (in DocTest.dll)
> Assembly Versions: 0.0.0.0

### X Property

> Documentation for this section has not yet been entered.

> ## Syntax

> protected short X { set; }

> #### Value

> > A short value...

> ## Remarks

> `P:Mono.DocTest.Widget.X`.

> ## Requirements

> Namespace: Mono.DocTest
> Assembly: DocTest (in DocTest.dll)
> Assembly Versions: 0.0.0.0

### Y Property

> Documentation for this section has not yet been entered.

> ## Syntax

> protected double Y { get; set; }

> #### Value

> > A double value...

> ## Remarks

> `P:Mono.DocTest.Widget.Y`.

> ## Requirements

> Namespace: Mono.DocTest
> Assembly: DocTest (in DocTest.dll)
> Assembly Versions: 0.0.0.0